// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//


package de.uka.ilkd.key.logic.op;

import de.uka.ilkd.key.logic.sort.Sort;
import de.uka.ilkd.key.logic.Name;
import de.uka.ilkd.key.logic.Term;
public class Proofobl extends Op {
    public Proofobl(Name name) {
	super(name);
    }

    /** @return Sort.FORMULA
     */
     public Sort sort(Term term) {
        return Sort.FORMULA;
    }  

    /** @return true if the there are no subterms
     */
    public boolean validTopLevel(Term term){
	if (term.arity()!=0) return false;
	return true;
    }

    /** @return arity of the Diamond operator as int */
    public int arity() {
	return 0;
    }


}
