// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//

package de.uka.ilkd.key.gui;

/** an object indicating that a proof event has happpend */
public class ProofEvent {
    
    private InteractiveProver source;

//    private String message="";


    /** creates a new proof event with the interactive prover where the
     * event initially occured
     * @param source 
     */
    public ProofEvent(InteractiveProver source) {
	this.source = source;
    }
    
    
    /** creates a new proof event the interactive prover where the
     * event initially occured 
     * @param source 
     * @param message a String message
    public ProofEvent(InteractiveProver source, String message) {
	this.source = source;
	this.message = message;
    }
     */


    /** the interactive prover where the event initially occured
     * @return the interactive prover where the event initially
     * occured
     */
    public InteractiveProver getSource() {
	return source;
    }
    
/*
    public String getMessage() {
	return message;
    }
*/

}
