// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//
// This file is part of KeY - Integrated Deductive Software Design
// Copyright (C) 2001 Universitaet Karlsruhe, Germany
//                    and Chalmers University of Technology, Sweden
//
// The KeY system is protected by the GNU General
// Public License. See LICENSE.TXT for details.

package de.uka.ilkd.key.parser;


import de.uka.ilkd.key.logic.*;
import de.uka.ilkd.key.java.JavaInfo;


/** Factory class to create instances of SimpleTermParser.
 *
 * @author Hubert Schmid */

public final class TermParserFactory {

    /* --- static methods --- */

    public static final SimpleTermParser createInstance() {
        // default
        return new DefaultTermParser();
    }

}
